apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: k8s-cls-0.0.0-62e46721
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: etcd
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: etcd
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: etcd
      provides:
        - exposed: false
          name: etcd
          network: direct
          servicespec:
            ports:
              - name: clients
                port: 2379
                protocol: TCP
                targetPort: 2379
              - name: peers
                port: 2380
                protocol: TCP
                targetPort: 2380
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
    - flags:
        - from: value
          key: v1_role
          to: label
          value: k8s-api
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: k8s-api
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: k8s-api
      provides:
        - exposed: true
          name: k8s-api-ha
          network: loadbalanced
          servicespec:
            ports:
              - name: api
                port: 6443
                protocol: TCP
                targetPort: 6443
      sizing:
        increment: 1
        initial: 2
        maximum: 10
        minimum: 1
    - annotations:
        x-lxe-additional-lxd-config: |
          raw.lxc: lxc.mount.entry = /dev/fuse dev/fuse none bind,create=file 0 0
      flags:
        - from: value
          key: v1_role
          to: label
          value: k8s-minion
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: k8s-minion
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: k8s-minion
            securityContext:
              privileged: true
      sizing:
        increment: 1
        initial: 3
        maximum: 20
        minimum: 1
  dependencies:
    operator:
      name: k8s-operator
      vendor: asag
      version: 0.3.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.5.0
  name: k8s-cls
  settings:
    - name: environment
      schema:
        default: k8s_cls
  version: 0.0.0-62e46721
